APCUIterator
APCUIterator::current
APCUIterator
PHP Manual

# APCUIterator::__construct

(PECL apcu >= 5.0.0)

APCUIterator::__construct — Constructs an APCUIterator iterator object

### Description

public APCUIterator::__construct ([ mixed `$search` = null [, int `$format` = APC_ITER_ALL [, int `$chunk_size` = 100 [, int `$list` = APC_LIST_ACTIVE ]]]] )

Constructs an APCUIterator object.

### Parameters

`cache`

  The cache type, which will be user or file.

`search`

  A PCRE regular expression that matches against APC key names, either as a string for a single regular expression, or as an array of regular expressions. Or, optionally pass in `NULL` to skip the search.

`format`

  The desired format, as configured with one or more of the APC_ITER_* constants.

`chunk_size`

  The chunk size. Must be a value greater than 0. The default value is 100.

`list`

  The type to list. Either pass in `APC_LIST_ACTIVE` or `APC_LIST_DELETED`.

### Return Values

An APCUIterator object on success, or `NULL` on failure.

### Examples

Example #1 A APCUIterator::__construct() example

`<?php
foreach (new APCUIterator('user', '/^counter\./') as $counter) {
echo "$counter[key]: $counter[value]\n";
apc_dec($counter['key'], $counter['value']);
}
?>`

### See Also

- apc_exists() - Checks if APC key exists
- apc_cache_info() - Retrieves cached information from APC's data store

APCUIterator
APCUIterator::current
APCUIterator
PHP Manual